export function extract( o: object,...keys: string[]): object | null {
    let sub_object: object = o;
    for (let i: number = 0; i < keys.length; i++) {
        if (sub_object[keys[i]] === undefined)
            return null;
        sub_object = sub_object[keys[i]];
    }
    return sub_object;
}
